D4Science Infrastructure - 3rdPartyApplication Support #9977

Ariadne integration. OAuth 2.0
Oct 18, 2017 04:47 PM - Federico Ponchio

Status: Authorised Start date: Oct 18, 2017
Priority: Normal Due date:
Assignee: Massimiliano Assante % Done: 100%
Estimated time: 0.00 hour
Authorized Redirect  http://ariadne.isti.cnr.it/login LogoURL: http://ariadne1.isti.cnr.it/logo.png
URLs:
Description
Danke.
History

#1 - Oct 18, 2017 05:58 PM - Federico Ponchio

Per lo sviluppo dell'applicazione mi farebbe comodo usare questo indirizzo:

http://pc-ponchio.isti.cnr.it/ariadne/login

e

http://pc-ponchio.isti.cnr.it/ariadne/logo.png

Danke

#2 - Oct 19, 2017 04:09 PM - Massimiliano Assante

- Status changed from New to In Progress

#4 - Oct 19, 2017 05:43 PM - Massimiliano Assante
- Status changed from In Progress to Authorised

- % Done changed from 0 to 100

#5 - Oct 19, 2017 05:46 PM - Massimiliano Assante

Forgot to add that | have given you the Data Manager role in PARTHENOS LAB VRE, which means nothing but just so that you can test the roles as
well.

#6 - Dec 28, 2017 05:07 PM - Federico Ponchio

Ciao, ho un problema col redirect url:

se uso http://ariadne1.isti.cnr.it mi dice che deve essere un https://

ERROR: the redirectURI parameter must use HTTP Secure protocol (https)

ho fatto partire I'https:// ma ora mi dice che l'url non €' quella registrata.
There were issues in managing this request: Invalid redirect URL. This value must match a URL registered with the clientld:
ad4dcada3-5b17-4b85-8fa4-6281f12507c4

Forse basta cambiare I'Authorized Redirect URLs.

Gia' che si cambia potresti aggiungere (ho visto URLs plurale...) https:/pc-ponchio.isti.cnr.it/ariadne/login
cosi' posso svilupparla in locale senza fare danni?

Grazie

#7 - Dec 29, 2017 12:29 PM - Massimiliano Assante
- File 57599399-B1FE-4D53-977C-927D7FBB06A4.png added
http://pc-ponchio.isti.cnr.it/ariadne/login
http://pc-ponchio.isti.cnr.it/ariadne/logo.png
http://ariadne1.isti.cnr.it
https://pc-ponchio.isti.cnr.it/ariadne/login

Cannot authorize Ariadne now but pc Ponchio is authorized with the url you provided. Puoi sviluppare con quello.
